
<div class="modal fade " id="dataposyandu" tabindex="-1" role="dialog" aria-labelledby="dataposyandu" aria-hidden="true">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content ">
            <div class="modal-header bg-gradient-info text-white">
                <h5 class="modal-title" id="dataposyandu"><i class="fa fa-list"></i> Data Arsip Posyandu</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
            </div>
            <div class="modal-body">
                <table class="table table-striped table-bordered dt-responsive" id="table-archive">
                    <thead class="bg-info text-white">
                        <tr>
                            <th scope="col" class="text-center">No</th>
                            <th>Wilayah</th>
                            <th>Nama Posyandu</th>
                            <th>Jumlah Kader</th>
                            <th>Foto Posyandu</th>
                            <th scope="col" class="text-center">Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for item_posyandu in dt_posyandu_list %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td class="tdx">{{item_posyandu.kampung.distrik.title}}-{{item_posyandu.kampung.titles}} <br> {{item_posyandu.create_date}} </td>
                                <td>{{item_posyandu.nama}}</td>
                                <td>{{item_posyandu.kader}} orang</td>
                                <td>
                                    <img src="{{item_posyandu.foto_posyandu.url}}" width="100">
                                </td>
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                        <button class="btn btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#posyandu-{{item_posyandu.id}}"><span class="fa fa-edit"></span></button>
                                        <div class="modal fade " id="posyandu-{{item_posyandu.id}}"  role="dialog" aria-labelledby="posyandu-{{item_posyandu.id}}" aria-hidden="true">
                                            <div class="modal-dialog modal-xl" role="document">
                                                <div class="modal-content ">
                                                    <div class="modal-header bg-gradient-primary text-white">
                                                        <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Ubah data Posyandu</h5>
                                                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_posyandu' item_posyandu.id %}">
                                                            {% csrf_token %}
                                                            <div class="row no-gutters align-items-center">
                                                                <div class="col-md-5">  
                                                                    <div class="col mr-2">
                                                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                           Wilayah
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-auto">
                                                                        <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" >
                                                                            <option value="">Kampung/Distrik</option>
                                                                            {% for data_kampung in datakampung_list %}
                                                                                <option value="{{ data_kampung.id }}" {% if data_kampung.id == item_posyandu.kampung_id %}selected{% endif %}>
                                                                                    {{ data_kampung.distrik.title }}-{{ data_kampung.titles }}
                                                                                </option>
                                                                            {% endfor %}    
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-4">
                                                                    <div class="col mr-2">
                                                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                            Penanggungjawab
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-auto">
                                                                        <select name="penanggungjawab" class="form-control" >
                                                                            <option value="">Pilih Penanggungjawab</option>
                                                                            {% for datajawab in penanggungjawab %}
                                                                                <option value="{{datajawab.id}}" {% if datajawab.id == item_posyandu.penanggungjawab_id %}selected{% endif %}>{{datajawab.nama}}</option>
                                                                            {% endfor %}
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-3">
                                                                    <div class="col mr-2">
                                                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                            Tahun
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-auto">
                                                                        <select name="tahun"  class="form-control" >
                                                                            <option value="{{item_posyandu.tahun}}" {% if tahun == item_posyandu.tahun %}selected{% endif %}>{{item_posyandu.tahun}}</option>
                                                                            <option value="">Pilih Tahun</option>
                                                                            <option value="2020">2020</option>    
                                                                            <option value="2021">2021</option>    
                                                                            <option value="2022">2022</option>    
                                                                            <option value="2023">2023</option>    
                                                                            <option value="2024">2024</option>    
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <br>
                                                            <hr>
                                                            <div class="row">
                                                                <div class="col-md-4">
                                                                    <div class="col mr-2">
                                                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                            Nama posyandu
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-auto">
                                                                        <input type="text"  placeholder=""
                                                                                        class="form-control"
                                                                                        name="nama" value="{{item_posyandu.nama}}"
                                                                                        >
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-4">
                                                                    <div class="col mr-2">
                                                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                            Jumlah kader terlatih
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-auto">
                                                                        <input type="number"  placeholder=""
                                                                                        class="form-control"
                                                                                        name="kader" value="{{item_posyandu.kader}}"
                                                                                        >
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-md-4">
                                                                    <div class="col mr-2">
                                                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                           Upload Foto Posyandu
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-auto">
                                                                        <input type="file"  placeholder=""
                                                                                        class="form-control"
                                                                                        name="foto_posyandu" value="{{item_posyandu.foto_posyandu}}"
                                                                                        >
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-4">
                                                                    Preview Bukti : <br>
                                                                    <img src="{{item_posyandu.foto_posyandu.url}}" width="100">
                                                                </div>
                                                            </div>
                                                           
                                                           
                                                        <div class="modal-footer">
                                                            <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                                                            <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                                        </div>
                                                    </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_posyandu_('soft_delete_posyandu', `{{ item_posyandu.kampung.titles }}`, '{{ item_posyandu.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>
                                    </div>
                                </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
            
        </div>
    </div>
</div>